# Uses of Class
javax.security.auth.DestroyFailedException

Packages that use DestroyFailedException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.security.auth
This package provides a framework for authentication and authorization.
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.

## Uses of DestroyFailedException in java.security

Methods in java.security that throw DestroyFailedException
Modifier and Type
Method
Description
`void`
KeyStore.PasswordProtection.`destroy()`
Clears the password.

## Uses of DestroyFailedException in javax.security.auth

Methods in javax.security.auth that throw DestroyFailedException
Modifier and Type
Method
Description
`default void`
Destroyable.`destroy()`
Destroy this `Object`.

## Uses of DestroyFailedException in javax.security.auth.kerberos

Methods in javax.security.auth.kerberos that throw DestroyFailedException
Modifier and Type
Method
Description
`void`
EncryptionKey.`destroy()`
Destroys this key by clearing out the key material of this key.
`void`
KerberosKey.`destroy()`
Destroys this key by clearing out the key material of this secret key.
`void`
KerberosTicket.`destroy()`
Destroys the ticket and destroys any sensitive information stored in it.